RDF::Trine::Iterator::JSONHandler(3pm)

NAME
RDF::Trine::Iterator::JSONHandler - JSON Handler for parsing SPARQL JSON Results format

VERSION
This document describes RDF::Trine::Iterator::JSONHandler version 1.014

STATUS
This module's API and functionality should be considered unstable. In the future, this module may change in backwards-incompatible ways, or be removed entirely. If you need functionality that this module provides, please get in touch <http://www.perlrdf.org/>.

SYNOPSIS
 use RDF::Trine::Iterator::JSONHandler;
 my $handler = RDF::Trine::Iterator::JSONHandler->new();
 my $iter = $handler->parse( $json );

METHODS

"new"
    Returns a new JSON SPARQL Results parser object.

"parse ( $json )"
    Returns a RDF::Trine::Iterator object containing the data from the supplied JSON in JSON SPARQL Results format.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.